Subject: RE: draft-gellens-negotiating-human-language-01

From: Doug Ewell <[email-masked]>
Date: Sat, 23 Feb 2013 08:20:37 -0700

Hi Randall,

You might want to reference BCP 47 instead of RFC 5646, but this is up to you.

Technically the Registry was created by RFC 4646, the predecessor to 5646, and it does not actually include tags, but rather subtags which are used to assemble tags. You can have a tag of just "en", which is just a language subtag, but you can also have "zh-Hans-SG" for Chinese, simplified characters, as used in Singapore. Those are three subtags that you piece together to make a tag. The tag itself is not in the Registry, but the parts are.

I would actually suggest leaving off the reference to the Registry and just say the tag must conform to 5646 (or BCP 47). That will imply the use of the Registry.

Thanks,

--
Doug Ewell | Thornton, CO, USA
http://ewellic.org | @DougEwell

-----Original Message-----
From: "Randall Gellens" <[email-masked]>
Sent: ‎2/‎23/‎2013 1:18
To: "Doug Ewell" <[email-masked]>; "[email-masked]" <[email-masked]>; "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Subject: Re: draft-gellens-negotiating-human-language-01

Hi Doug,

Thanks very much.  So, if I understand, your suggestions would be:

(1) Change the text for the possible new 'humintlang' attribute from:

      The "humintlang" attribute value must be a single RFC 3066
      [RFC3066] language tag in US-ASCII [RFC3066].  It is not dependent
      on the charset attribute.

To:

      The "humintlang" attribute value must be a single RFC 5646
      [RFC5646] language tag from the IANA registry [IANA-lang-
      tags].  It is not dependent on the charset attribute.

(2) Add RFC 5646 to the Normative References

Since the IANA registry referenced now was actually created by RFC 5646 not RFC 3066, this is both better technically (for the reasons you mention) and more correct.

Let me know if I've understood, and if so, I may be able to get an update in before the cut-off.

At 9:09 AM -0700 2/22/13, Doug Ewell wrote:

Draft-gellens-negotiating-human-language-01, "Negotiating Human Language Using SDP", says this about the source of values for the SDP 'lang' attribute: > The "lang" attribute value must be a single [RFC3066] language tag > in US-ASCII [RFC3066]. Although this wording is quoted from RFC 4566, the subsequent section proposing a new 'humintlang' attribute uses the same wording. Any new format or protocol that employs language tags should apply BCP 47 (RFC 5646), not RFC 3066, which was obsoleted in 2006. BCP 47 allows the use of more than 7300 additional language subtags derived from ISO 639-3, as well as script subtags based on ISO 15924 and variant subtags, none of which are permitted in a generative manner by RFC 3066. The draft says, "The attribute value should be a language tag from the IANA registry [IANA-lang-tags]", referencing www.iana.org/assignments/language-subtag-registry, but RFC 3066 does not use this registry; it references the core ISO standards directly, which reduces stability, and it uses its own IANA registry (also obsolete) only for a few dozen predefined variant tags, many of which are deprecated in BCP 47. RFC 4647, also part of BCP 47, provides guidelines for matching language tags, and may benefit the SDP negotiation process described in the draft. -- Doug Ewell | Thornton, CO, USA http://ewellic.org | @DougEwell °©

-- 
Randall Gellens
Opinions are personal;    facts are suspect;    I speak for myself only
-------------- Randomly selected tag: ---------------
Two things are infinite: the universe and human stupidity;
and I'm not even sure about the universe.
                                       --Albert Einstein